Bug 432394 - guest boot device restrictions unclear
guest boot device restrictions unclear
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Christopher Curran
Don Domingo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 14:41 EST by James Ralston
Modified: 2009-08-20 00:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-23 00:14:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
editorial suggestions (16.41 KB, text/html)
2008-03-04 13:10 EST, James Ralston
no flags Details

  None (edit)
Description James Ralston 2008-02-11 14:41:06 EST
The virtualization guide states:

Important Restrictions

"The guest boot device can not be located on a disk using a para-virtualized
block device drivers. However, user data and applications can reside on devices
using the para-virtualized block device driver."

This is terribly unclear—the phrase "user data and applications" really doesn't
*mean* anything, so it doesn't help to clarify what can and cannot be located on
a device using para-virtualized block device drivers.

Does this mean that only the grub boot device cannot be located on a device
using para-virtualized block device drivers?  Or does it also mean that the
kernel's root target (i.e., the root=DEVICE line argument to the kernel) cannot
be located on a device using para-virtualized block device drivers?

I suggest that you clarify the restrictions using terms that Linux system
administrators commonly understand: the grub boot device, the kernel root=DEVICE
device, and any other devices/partitions/volumes (e.g., /lib).
Comment 1 Michael Hideo 2008-03-03 20:16:23 EST
Hi James,

We have crafted new guidance documentation for para-virtualized drivers located:

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/en-US/RHEL510/html/Para-Virtualized_Drivers/index.html

Can you please review and let me know if that answers your questions?

Cheers,
Mike
Comment 2 James Ralston 2008-03-04 13:10:39 EST
Created attachment 296774 [details]
editorial suggestions

I've reviewed the new guidance documentation.  It doesn't answer my question.

The specific paragraph I complained about is unchanged.  As far as I can tell,
the only clarification you added was the following paragraph (at the start of
the step-by-step instructions for each OS):

"These packages do not support booting from a para-virtualized disk. Booting
the guest operating system kernel still requires the use of the emulated IDE
driver, while any other (non-system) user-level application and data disks can
use the para-virtualized block device driver."

Furthermore, the last example in section 8.2 ("8.2. Virtual Storage Devices")
lists examples of para-virtualized block devices that are clearly not part of a
regular OS install (e.g., "/mnt/pvdisk_xvda").

The phrase "user-level application and data disks" is just as meaningless as
"user data and applications".

Based on my technical understanding of how the para-virtualized device drivers
work, I've rewritten the "Important Restrictions" section of Chapter 2.  If my
rewrite is technically correct (I think it is, but I'm not certain, which I why
I filed this bug in the first place), please consider using it (or something
similar to it).
Comment 3 James Ralston 2008-03-04 23:16:57 EST
(Null comment to toggle state out of NEEDINFO...)
Comment 4 Christopher Curran 2008-03-13 02:05:59 EDT
I have edited and updated these changes but the books may not be made public for
a little while. The changes have also been added to the Virtualization Guide for
Red Hat Enterprise Linux 5.2. I will forward you some links after these changes
have been made public.

Note You need to log in before you can comment on or make changes to this bug.